routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'NewsController@index')->name('home')->middleware('auth');

Route::resource('users','UsersController')->only('show')->middleware('auth');
Route::resource('news','NewsController')->middleware('auth');
Route::resource('news.comments', 'CommentsController')->except('index', 'show')->middleware('auth');
Route::post('rating/news/{news}', 'NewsController@rating')->name('rating')->middleware('auth');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'is_admin',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    /**
     * @return HasMany
     */
    public function news() {
        return $this->hasMany(News::class);
    }

    /**
     * @return HasMany
     */
    public function comments() {
        return $this->hasMany(Comment::class);
    }


}

app/Http/Controllers/UsersController.php
<?php

namespace App\Http\Controllers;

use App\User;
use Illuminate\Contracts\View\Factory;
use Illuminate\Http\Request;
use Illuminate\View\View;

class UsersController extends Controller
{
    /**
     * @param $id
     * @return Factory|View
     */
    public function show($id)
    {
        $user = User::findOrFail($id);
        $user_news = $user->news;
        $total_sum = 0;
        $total_rating = 0;
        foreach($user_news as $news) {
            $scores_sum = $news->quality + $news->relevance + $news->attitude;
            $total_sum += $scores_sum;
            $total_rating = round($total_sum / 3, 1);
        }
        return view('users.show', compact('user', 'total_rating'));
    }
}

resources/views/users/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="container">
        <div class="row">
            <h5 class="mr-4">User data</h5>
            >>
            <a class="ml-4" href="{{route('news.index')}}">Main Page</a>
        </div>
        <div class="mt-4">
            <p style="font-weight: bold">Name: <span style="font-weight: normal">{{$user->name}}</span></p>
            <p style="font-weight: bold">Email: <span style="font-weight: normal">{{$user->email}}</span></p>
            <p style="font-weight: bold">Rating: <span style="font-weight: bold; color: indianred">{{$total_rating}}</span></p>
        </div>
    </div>
@endsection